## dennou-sty-6 0.6

=== Makefile ===
include Mkinclude

all:
	cd DOC; $(MAKE) all
	cd DOC; $(MAKE) doc

install:
	cd DOC; $(MAKE) install DESTDIR=$(DESTDIR)

clean:
	cd DOC; $(MAKE) clean

=== DOC/Makefile ===
#
#	$Id: Makefile,v 1.14 2008-03-09 09:20:23 uwabami Exp $
#	Makefile for Dennou style 
#	Copyright (c) 2001 Manabu YAMADA, all rights reserved.
#
#

#
# ޥ
#

TEXMF_DIR=/usr/share/texmf/tex/generic/dennou-sty-6
DOCUMENT_DIR=/usr/share/doc/dennou-sty-6

INST_DIR=$(DESTDIR)/$(TEXMF_DIR)


#
#
#
all: generate 


generate: 
	platex Dennou6.ins
	

doc:
	platex Dennou.drv
	makeindex -s gind.ist Dennou
	makeindex -s gglo.ist -o Dennou.gls Dennou.glo
	platex Dennou.drv

doc-dev:
	platex Dennou-dev.drv
	makeindex -s gind.ist Dennou-dev
	makeindex -s gglo.ist -o Dennou-dev.gls Dennou.glo
	platex Dennou-dev.drv


mkdir:
	test -d $(INST_DIR) || install -d  $(INST_DIR)

install: mkdir
	cp *.sty $(INST_DIR)
	cp *.dvi $(DESTDIR)/$(DOCUMENT_DIR)
	texhash


tar: 
	cd ../../; tar cvfz dennou_sty.tar.gz  dennou_sty_6

clean:
	rm *.toc *.ilg *.log *.ist *.glo *.gls *.aux *.sty *.drv *.dvi *.idx *.ind

=== debian/changelog ===
dennou-sty-6 (0.6-6) unstable; urgency=low

  * Bump Standard Version: 3.9.1
  * Update Src Format: 3.0(quilt)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 23 Mar 2011 20:04:47 +0900

dennou-sty-6 (0.6-5) unstable; urgency=low

  * Bump Standard Version: 3.8.3 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 18 Sep 2009 19:04:05 +0900

dennou-sty-6 (0.6-4) unstable; urgency=low

  * debian/rules
    * using CDBS
  * debian/control
    * Build-Depends: tetex-bin -> texlive-base-bin
      * tetex-bin is obsoleted on future release
    * add Build-Depends: cdbs, debhelper (>=7)
    * add Uploaders and Homepage
  * debian/copyright
    * destructed for lenny

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 16 Oct 2008 19:04:34 +0900

dennou-sty-6 (0.6-3) unstable; urgency=low

  * Document Directory was moved (/usr/doc -> /usr/share/doc).
  * Modified debian/control
     * add Build-Depends: ptex-bin (for platex)
     * add Depends: tetex-bin (for texhash)

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Sun,  9 Mar 2008 18:17:09 +0900

dennou-sty-6 (0.5-1) unstable; urgency=low

  * 'Depends:platex' changed to 'Suggests'.

 -- TAKEHIRO Shin-ichi <takepiro@dennou-t.ms.u-tokyo.ac.jp>  Mon, 15 Apr 2002 13:38:06 +0900

dennou-sty-6 (0.5) unstable; urgency=low

  * added unit to \Dnoparskip. (D6misc.doc).  Version number fixed(=> 0.5).

 -- YAMADA Manabu <mym@dennou-t.ms.u-tokyo.ac.jp>  Thu, 31 Jan 2002 04:38:49 +0900

dennou-sty-6 (0.3-2) unstable; urgency=low

  * boldmath is used in definition of Dvect (D6math.doc).

 -- Odaka Masatsugu <odakker@gfd-dennou.org>  Tue, 19 Jun 2001 15:04:31 +0900

dennou-sty-6 (0.3-1) unstable; urgency=low

  * D6style.doc bug fixed.

 -- Odaka Masatsugu <odakker@gfd-dennou.org>  Wed, 23 May 2001 01:42:15 +0900

dennou-sty-6 (0.2-1) unstable; urgency=low

  * Initial release

 -- Manabu YAMADA <mym@ep.sci.hokudai.ac.jp>  Tue,  3 Apr 2001 22:13:09 +0900



Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dennou-sty-6
Section: tex
Priority: extra
Build-Depends: ptex-bin, texlive-latex-extra, cdbs, debhelper (>= 7), quilt
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Standards-Version: 3.9.1
Homepage: http://www.gfd-dennou.org/arch/cc-env/TeXmacro/dennou/SIGEN.htm

Package: dennou-sty-6
Architecture: all
Depends: texlive-base-bin, ${misc:Depends}, ${shared:Depends}
Suggests: ptex-bin
Description: GFD_dennou_Club TeX macros for pLaTeX2e
 GFD_dennou_Club TeX macros for pLaTeX2e, which provide some useful
 tex commands to write scientific documents.
 See http://www.gfd-dennou.org/arch/cc-env/TeXmacro/dennou/SIGEN.htm

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# Add here any variable or target overrides you need.

install/dennou-sty-6::
	$(MAKE) install DESTDIR=${DEB_DESTDIR}
